Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ParameterRecorder

    public interface ParameterRecorder

Interface `ReportParameterManager` manages the report parameter.

Since:
  9.0

Method Summary
`void` | `appendUsedParameter(java.lang.String userName, org.w3c.dom.Document document)` append the used parameter info.
`void` | `decreaseUserParameterRecordSize(java.lang.String userName, int maxNum)` Decrease the size of auto-complete list, remove the early item.
`void` | `deleteRptParameterRecords(java.lang.String report)` delete all used parameter recodes for all users.
`void` | `deleteUserParameterRecord(java.lang.String userName)` delete all used parameter recodes for the specific user when a userID be removed from JReport Server, his/her historical used parameter recodes should be deleted.
`org.w3c.dom.Document` | `getUserParameterRecords(java.lang.String userName)` Get the used parameter info for specific user.
`void` | `modifyUsedParameter(java.lang.String userName, org.w3c.dom.Document document)` change the used parameter info.
`void` | `removeUsedParameter(java.lang.String userName, org.w3c.dom.Document document)` remove the used parameter info.

Method Detail

### getUserParameterRecords

    org.w3c.dom.Document getUserParameterRecords(java.lang.String userName)

  Get the used parameter info for specific user.

  Parameters:
    `userName` - the user name, same as user ID
  Returns:
    the used parameter value document

### decreaseUserParameterRecordSize

    void decreaseUserParameterRecordSize(java.lang.String userName,
                                         int maxNum)

  Decrease the size of auto-complete list, remove the early item. the user set the maximum number of auto-complete list on preference page, if user change the setting number that is less than old setting, JReport Server should remove the early item.

  Parameters:
    `userName` - the user name, same as user ID

### appendUsedParameter

    void appendUsedParameter(java.lang.String userName,
                             org.w3c.dom.Document document)

  append the used parameter info. for specific user to his/her historical parameter reocords.

  Parameters:
    `userName` - the user name, same as user ID
    `document` - a set of used parameter values

### modifyUsedParameter

    void modifyUsedParameter(java.lang.String userName,
                             org.w3c.dom.Document document)

  change the used parameter info. for specific user in his/her historical parameter records.

  Parameters:
    `userName` - the user name, same as user ID
    `document` - a set of used parameter values

### removeUsedParameter

    void removeUsedParameter(java.lang.String userName,
                             org.w3c.dom.Document document)

  remove the used parameter info. for specific user from his/her historical parameter records.

  Parameters:
    `userName` - the user name, same as user ID
    `document` - a set of used parameter values

### deleteRptParameterRecords

    void deleteRptParameterRecords(java.lang.String report)

  delete all used parameter recodes for all users. when a report be removed from JReport Server, all historical used parameter records which related with this report should be deleted.

  Parameters:
    `report,` - the full path report name on resource tree, such as /SampleReports/Report1.cls.

### deleteUserParameterRecord

    void deleteUserParameterRecord(java.lang.String userName)

  delete all used parameter recodes for the specific user when a userID be removed from JReport Server, his/her historical used parameter recodes should be deleted.

  Parameters:
    `userName` - the user name, same as user ID

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD